define({"172":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_p_o_w_e_r_m_o_d_e_s_func.html",l:-1,t:"HAL Power Modes Function Documentation",i:0.000655806714270361,a:"  Sys_PowerModes_AppProcessingRequired void Sys_PowerModes_AppProcessingRequired()   Set a flag to abort the current low-power cycle.   This function can be called from an interrupt function to indicate that the application needs to perform further processing. If this function is called when the system is servicing interrupts in Sys_PowerModes_EnterPowerMode, the system will abort the current low-power cycle. If this function is called outside of the stated window (e.g. during regular Run Mode), the set flag will be ignored and be reset once Sys_PowerModes_EnterPowerMode is called next.\n   Location: power_modes.h:383   Sys_PowerModes_SetWakeupConfig void Sys_PowerModes_SetWakeupConfig(uint32_t wakeup_cfg)   Set up the wakeup configuration.   Initializes the ACS_WAKEUP_CFG register with the specified wakeup sources. Clears any wakeup event flags triggered during the initialization.\n   Location: power_modes.h:396   Parameters   This function will modify the ACS_WAKEUP_CFG register.     ..."},"173":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_p_w_m.html",l:-1,t:"Pulse-Width Modulation",i:0.000494681606674606,a:"Pulse-Width Modulation   Pulse-Width Modulation (PWM) hardware abstraction layer. Summary   Macros PWM_CHANNELS  : The total number of PWM channels. HIGH_FRACTIONAL  : High fractional.   Functions Sys_PWM_GPIOConfig  : Configure a GPIO pad for the PWM interface. Sys_PWM_Config  : Set length of PWM period and number of high cycles within a PWM period. Sys_PWM_Enable  : Enable a set of PWM channels. Sys_PWM_Disable  : Disable the PWM[4:0] channel Disabling the PWM channel will set the counter and prescaler to zero. Sys_PWM_Reset_Channel  : Reset the PWM[4:0] channel Disable the PWM[4:0] channel, reset the PWM_CFG[4:0] and PWM_OFFSET[4:1] registers and the related counter."},"174":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_p_w_m_define.html",l:-1,t:"Pulse-Width Modulation Macro Definition Documentation",i:0.000654788676877668,a:"  Pulse-Width Modulation Macro Definition Documentation   PWM_CHANNELS #define PWM_CHANNELS 5   The total number of PWM channels.   Location: pwm.h:42   HIGH_FRACTIONAL #define HIGH_FRACTIONAL 0x100   High fractional.   Location: pwm.h:45  "},"175":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_p_w_m_func.html",l:-1,t:"Pulse-Width Modulation Function Documentation",i:0.00436331725567466,a:"  Sys_PWM_GPIOConfig void Sys_PWM_GPIOConfig(uint8_t gpio, uint8_t channel, uint32_t cfg, uint8_t inverted)   Configure a GPIO pad for the PWM interface.   Location: pwm.h:60   Parameters       Sys_PWM_Config void Sys_PWM_Config(uint8_t channel, uint32_t period, float duty_cycle, uint32_t offset)   Set length of PWM period and number of high cycles within a PWM period.   Location: pwm.h:85   Parameters       Sys_PWM_Enable void Sys_PWM_Enable(uint32_t enable)   Enable a set of PWM channels.   Location: pwm.h:113   Parameters       Sys_PWM_Disable void Sys_PWM_Disable(uint32_t disable)   Disable the PWM[4:0] channel Disabling the PWM channel will set the counter and prescaler to zero.   Location: pwm.h:125   Parameters       Sys_PWM_Reset_Channel void Sys_PWM_Reset_Channel(uint32_t reset)   Reset the PWM[4:0] channel Disable the PWM[4:0] channel, reset the PWM_CFG[4:0] and PWM_OFFSET[4:1] registers and the related counter.   Location: pwm.h:137   Parameters      "},"176":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_r_f_f_e.html",l:-1,t:"RFFE Radio Frequency Front End",i:0.000539007058501516,a:"  Radio Frequency Front End (RFFE) hardware abstraction layer. Summary   Macros STABILIZATION_DELAY  : External include files. MEASUREMENT_DELAY  : Corresponds to sample rate of the LSAD as configured (625 Hz) V_TO_MV  : Factor for converting back and forth from mV to V. V_TO_MV_F  : Float iteration of factor for converting back and forth from mV to V. DEF_CHANNEL  : Default LSAD channel used to measure voltage rails. MAX_LSAD_CHANNEL  : Maximum number of LSAD channels in the design. VDDPA_EN  : VDDPA enable selection. VDDPA_DIS  : VDDPA disable selection. VCC_VDDRF_MARGIN  : We strongly recommended having VCC at least 50mV higher than VDDRF. TRIM_MARGIN  : Trim margin. MV_PER_DBM_VDDPA  : Estimated voltage increase per 1dBm increased TX power. MV_PER_DBM_VDDRF  : Estimated voltage increase per 1dBm increased TX power. STEPS_PER_DBM_VDDRF  : Estimated trim steps per 1dBm increased TX power. STEPS_PER_DBM_VDDPA  : Estimated trim steps per 1dBm increased TX power. RF_MAX_POWER  : Maximum ..."},"177":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_r_f_f_e_define.html",l:-1,t:"RFFE Radio Frequency Front End Macro Definition Documentation",i:0.00231056602108063,a:"  RFFE Radio Frequency Front End Macro Definition Documentation   STABILIZATION_DELAY #define STABILIZATION_DELAY ( SystemCoreClock  * 3 / 625)   External include files.   Three times the length of time corresponding to the minimum sample rate, which is deemed sufficient to allow the LSAD to stabilize\n   Location: rffe.h:46   MEASUREMENT_DELAY #define MEASUREMENT_DELAY ( SystemCoreClock  / 625)   Corresponds to sample rate of the LSAD as configured (625 Hz)   Location: rffe.h:49   V_TO_MV #define V_TO_MV 1000   Factor for converting back and forth from mV to V.   Location: rffe.h:52   V_TO_MV_F #define V_TO_MV_F 1000.0f   Float iteration of factor for converting back and forth from mV to V.   Location: rffe.h:55   DEF_CHANNEL #define DEF_CHANNEL 6   Default LSAD channel used to measure voltage rails.   Location: rffe.h:58   MAX_LSAD_CHANNEL #define MAX_LSAD_CHANNEL 7   Maximum number of LSAD channels in the design.   Location: rffe.h:61   VDDPA_EN #define VDDPA_EN 1   VDDPA enable ..."},"178":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_r_f_f_e_func.html",l:-1,t:"RFFE Radio Frequency Front End Function Documentation",i:0.00231056602108063,a:"RFFE Radio Frequency Front End Function Documentation   Sys_RFFE_GetTXPower int8_t Sys_RFFE_GetTXPower(uint32_t lsad_channel)   Retrieve the current setting for RF output power by using the values retrieved from the appropriate registers.   Location: rffe.h:173   Parameters   Return The currently set TX output power. Returns -100 in error state.       Sys_RFFE_SetTXPower uint32_t Sys_RFFE_SetTXPower(int8_t target, uint8_t lsad_channel, bool pa_en)   Set the TX Power according to the desired target value with an accuracy of +/-1 dBm for +6 dBm to -17 dBm.   This function sets VDDRF, VDDPA, and PA_PWR (RF_REG1A) when applicable. Note: This function provides RF TX power configurations that match the requested levels, without considering the potential for increased power consumption due to the use of VDDPA.\n   Location: rffe.h:193   Parameters   Return Return value error value, if any      "},"179":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_r_t_c.html",l:-1,t:"Real-Time Clock",i:0.0004445381077384,a:"Real-Time Clock   Real-time clock hardware abstraction layer. Summary   Functions Sys_RTC_Config  : Configure RTC block. Sys_RTC_Count_Threshold  : Configure RTC Counter Threshold. Sys_RTC_Value_Seconds  : Read the current value of the RTC timer in seconds. Sys_RTC_Value  : Read the current value of the RTC timer."},"180":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_r_t_c_func.html",l:-1,t:"Real-Time Clock Function Documentation",i:0.00631958048684158,a:"Real-Time Clock Function Documentation   Sys_RTC_Config void Sys_RTC_Config(uint32_t rtc_cfg, uint32_t rtc_ctrl)   Configure RTC block.   Location: rtc.h:49   Parameters       Sys_RTC_Count_Threshold void Sys_RTC_Count_Threshold(uint32_t threshold)   Configure RTC Counter Threshold.   Location: rtc.h:63   Parameters       Sys_RTC_Value_Seconds uint32_t Sys_RTC_Value_Seconds()   Read the current value of the RTC timer in seconds.   Location: rtc.h:73   Return RTC timer current value in seconds       Sys_RTC_Value uint32_t Sys_RTC_Value()   Read the current value of the RTC timer.   Location: rtc.h:83   Return RTC timer counter current value      "},"181":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_s_a_r___a_d_c.html",l:-1,t:"SAR_ADC",i:0.0004445381077384,a:"SAR_ADC   SAR_ADC hardware abstraction layer. Summary   Macros VDDSAR_FREQ_THRESHOLD MAX_SENSOR_CLK_HIGH MAX_SENSOR_CLK_LOW   Functions Sys_Calibrate_SARADC  : Calibrate the SAR ADC, generating gain and offset values."},"182":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_s_a_r___a_d_c_define.html",l:-1,t:"SAR_ADC Macro Definition Documentation",i:0.000633476009264632,a:"  SAR_ADC Macro Definition Documentation   VDDSAR_FREQ_THRESHOLD #define VDDSAR_FREQ_THRESHOLD (2500)   Location: sar_adc.h:44   MAX_SENSOR_CLK_HIGH #define MAX_SENSOR_CLK_HIGH (16000000UL)   Location: sar_adc.h:48   MAX_SENSOR_CLK_LOW #define MAX_SENSOR_CLK_LOW (2000000UL)   Location: sar_adc.h:52  "},"183":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_s_a_r___a_d_c_func.html",l:-1,t:"SAR_ADC Function Documentation",i:0.0042213510657333,a:"SAR_ADC Function Documentation   Sys_Calibrate_SARADC void Sys_Calibrate_SARADC(uint32_t vddsar_mv, uint32_t supply_src, uint32_t * offset, float * gain)   Calibrate the SAR ADC, generating gain and offset values.   The gain and offset values are stored in the SAR ADC but are returned here as well.\n   Location: sar_adc.h:72   Parameters   Assumptions The SAR ADC is configured to use VBAT for the calibration.     "},"184":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_s_a_s_s_e_r_t.html",l:-1,t:"Simple Assertions",i:0.0004445381077384,a:"Simple Assertions   Simple Assertion (SASSERT) hardware abstraction layer. Summary   Macros SYS_ASSERT  : Assertion handler; default behavior is no operation."},"185":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_s_a_s_s_e_r_t_define.html",l:-1,t:"Simple Assertions Macro Definition Documentation",i:0.00108130626740876,a:"  Simple Assertions Macro Definition Documentation   SYS_ASSERT #define SYS_ASSERT False   Assertion handler; default behavior is no operation.   Location: sassert.h:47  "},"186":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_s_e_n_s_o_r.html",l:-1,t:"Ultra-Low Power Data Acquisition Subsystem",i:0.0004445381077384,a:"Ultra-Low Power Data Acquisition Subsystem   Ultra-low power data acquisition (sensor) subsystem hardware abstraction layer. Summary   Functions Sys_Sensor_SARConfig  : Configure the SAR-ADC interface. Sys_Sensor_PulseCountConfig  : Configure sensor pulse count state. Sys_Sensor_StorageConfig  : Configure data storage settings. Sys_Sensor_DelayConfig  : Configure sensor delay clocks and length. Sys_Sensor_Enable  : Enable the sensor. Sys_Sensor_Disable  : Disable the sensor. Sys_Sensor_TimerReset  : The sensor timer counter, the sensor timer enable and the ADC counter are reset. Sys_Sensor_CurrentState  : Read the current status and delay state of the sensor interface. Sys_Sensor_CurrentCountValue  : Read the current value of the sensor\u0027s main counter."},"187":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_s_e_n_s_o_r_func.html",l:-1,t:"Ultra-Low Power Data Acquisition Subsystem Function Documentation",i:0.00548028871839827,a:"  Sys_Sensor_SARConfig void Sys_Sensor_SARConfig(uint32_t sar_cfg, uint32_t sar_ctrl, uint32_t clk_cfg)   Configure the SAR-ADC interface.   Location: sensor.h:52   Parameters       Sys_Sensor_PulseCountConfig void Sys_Sensor_PulseCountConfig(uint32_t pc_cfg, uint32_t clk_cfg)   Configure sensor pulse count state.   Location: sensor.h:73   Parameters       Sys_Sensor_StorageConfig void Sys_Sensor_StorageConfig(uint32_t sum_en, uint32_t nbr_samples, uint32_t threshold_min, uint32_t threshold_max, uint32_t store_en, uint32_t fifo_size, uint32_t fifo_cfg)   Configure data storage settings.   Location: sensor.h:107   Parameters       Sys_Sensor_DelayConfig void Sys_Sensor_DelayConfig(uint32_t dly_cfg)   Configure sensor delay clocks and length.   Use sub-register defines.\n   Location: sensor.h:129   Parameters   Clock can be configured for 32 kHz (0) or 1 kHz (1-default)     Sys_Sensor_Enable void Sys_Sensor_Enable()   Enable the sensor.   In secure mode, also enable power to the sensor.\n ..."},"188":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_s_p_i.html",l:-1,t:"SPI",i:0.000494681606674606,a:"  Serial Peripheral Interface (SPI) hardware abstraction layer. Summary   Macros SPI_CONFIG_MASK  : Mask for the SPI_CFG register. SPI_PADS_NUM  : Number of pads used for the SPI interface, for a single instance. IS_GPIO_REAL  : Verify if the GPIO number corresponds to an actual pin, as opposed to a constant high/low value. SYS_SPI_CONFIG  : Configure the specified SPI interface\u0027s operation and controller information. SYS_SPI_TRANSFERCONFIG  : Configure the SPI transfer information for the specified SPI instance. SYS_SPI_READ  : Generate clock and CS to read data from SPI interface. SYS_SPI_WRITE  : Generate clock and CS to write data to SPI interface. SYS_SPI_GPIOCONFIG  : Configure four GPIOs for the SPI0 interface. SYS_DSPI_GPIOCONFIG  : Configure four GPIOs for the SPI0 interface for DSPI. SYS_QSPI_GPIOCONFIG  : Configure six GPIOs for the SPI0 interface for QSPI cfg GPIO pin configuration for the SPI pads clk GPIO to use as the QSPI clock pad cs GPIO to use as the QSPI chip select ..."},"189":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_s_p_i_define.html",l:-1,t:"SPI Macro Definition Documentation",i:0.000913681033495566,a:"  SPI Macro Definition Documentation   SPI_CONFIG_MASK #define SPI_CONFIG_MASK ((1 \u003c\u003c SPI_CFG_TX_DMA_ENABLE_Pos)           | \\\n     (1 \u003c\u003c SPI_CFG_RX_DMA_ENABLE_Pos)           | \\\n     (1 \u003c\u003c SPI_CFG_TX_END_INT_ENABLE_Pos)       | \\\n     (1 \u003c\u003c SPI_CFG_TX_START_INT_ENABLE_Pos)     | \\\n     (1 \u003c\u003c SPI_CFG_RX_INT_ENABLE_Pos)           | \\\n     (1 \u003c\u003c SPI_CFG_CS_RISE_INT_ENABLE_Pos)      | \\\n     (1 \u003c\u003c SPI_CFG_OVERRUN_INT_ENABLE_Pos)      | \\\n     (1 \u003c\u003c SPI_CFG_UNDERRUN_INT_ENABLE_Pos)     | \\\n     (1 \u003c\u003c SPI_CFG_MODE_Pos)                    | \\\n     SPI_CFG_MODE_Mask                          | \\\n     (1 \u003c\u003c SPI_CFG_WORD_SIZE_Pos)               | \\\n     SPI_CFG_WORD_SIZE_Mask                     | \\\n     (1 \u003c\u003c SPI_CFG_PRESCALE_Pos)                | \\\n     SPI_CFG_PRESCALE_Mask                      | \\\n     (1 \u003c\u003c SPI_CFG_CLK_POLARITY_Pos)            | \\\n     (1 \u003c\u003c SPI_CFG_SLAVE_Pos))   Mask for the SPI_CFG register.   Location: spi.h:61   SPI_PADS_NUM #define SPI_PADS_NUM 6   Number of pads used ..."},"190":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_s_p_i_func.html",l:-1,t:"SPI Function Documentation",i:0.00158910415240131,a:"  Sys_SPI_Config void Sys_SPI_Config(SPI_Type * spi, uint32_t config)   Configure the specified SPI interface\u0027s operation and controller information.   Location: spi.h:109   Parameters       Sys_SPI_TransferConfig void Sys_SPI_TransferConfig(SPI_Type * spi, uint32_t config)   Configure the SPI transfer information for the specified SPI instance.   Location: spi.h:132   Parameters       Sys_SPI_Read uint32_t Sys_SPI_Read(const SPI_Type * spi)   Generate clock and CS to read data from SPI interface.   Location: spi.h:147   Parameters   Return data Data read from the SPI interface   Assumptions SPI is configured as master mode and transfer operation mode is SPI_MODE_READ_WRITE(full duplex) or (SPI_MODE_READ) half duplex      Sys_SPI_Write void Sys_SPI_Write(SPI_Type * spi, uint32_t data)   Generate clock and CS to write data to SPI interface.   Location: spi.h:162   Parameters   Assumptions SPI is configured as master mode and transfer operation mode is SPI_MODE_READ_WRITE(full duplex) or ..."},"191":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_t_i_m_e_r.html",l:-1,t:"General-Purpose Timer",i:0.000478890453470442,a:"General-Purpose Timer   General-purpose timer hardware abstraction layer. Summary   Macros SYS_TIMER_CONFIG  : Configures the default timer instance. SYS_TIMER_START  : Starts the default timer instance. SYS_TIMER_STOP  : Stops the default timer instance.   Functions Sys_Timer_Config  : Configure timer instance. Sys_Timer_Start  : Start or restart timer instance. Sys_Timer_Stop  : Stop the timer instance."},"192":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_t_i_m_e_r_define.html",l:-1,t:"General-Purpose Timer Macro Definition Documentation",i:0.000648076680903144,a:"  General-Purpose Timer Macro Definition Documentation   SYS_TIMER_CONFIG #define SYS_TIMER_CONFIG  Sys_Timer_Config (TIMER, (cfg0), \\\n                                                               (cfg1), (timeout))   Configures the default timer instance.   Location: timer.h:83   SYS_TIMER_START #define SYS_TIMER_START  Sys_Timer_Start (TIMER)   Starts the default timer instance.   Location: timer.h:87   SYS_TIMER_STOP #define SYS_TIMER_STOP  Sys_Timer_Stop (TIMER)   Stops the default timer instance.   Location: timer.h:90  "},"193":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_t_i_m_e_r_func.html",l:-1,t:"General-Purpose Timer Function Documentation",i:0.00798917085986141,a:"General-Purpose Timer Function Documentation   Sys_Timer_Config void Sys_Timer_Config(TIMER_Type * timer, uint32_t cfg0, uint32_t cfg1, uint32_t timeout)   Configure timer instance.   Location: timer.h:51   Parameters       Sys_Timer_Start void Sys_Timer_Start(TIMER_Type * timer)   Start or restart timer instance.   Location: timer.h:65   Parameters       Sys_Timer_Stop void Sys_Timer_Stop(TIMER_Type * timer)   Stop the timer instance.   Location: timer.h:76   Parameters      "},"194":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_t_o_f.html",l:-1,t:"Time of Flight",i:0.000478890453470442,a:"Time of Flight   Time of Flight (TOF) hardware abstraction layer. Summary   Functions Sys_TOF_Config  : Configure TOF module. Sys_TOF_Start  : Start the time of flight module. Sys_TOF_Stop  : Stop the time of flight module."},"195":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_t_o_f_func.html",l:-1,t:"Time of Flight Function Documentation",i:0.00567483412769622,a:"Time of Flight Function Documentation   Sys_TOF_Config void Sys_TOF_Config(uint32_t cfg)   Configure TOF module.   Location: tof.h:53   Parameters       Sys_TOF_Start void Sys_TOF_Start()   Start the time of flight module.   Location: tof.h:63       Sys_TOF_Stop void Sys_TOF_Stop()   Stop the time of flight module.   Location: tof.h:73      "},"196":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_t_r_i_m.html",l:-1,t:"Trimming Support",i:0.0004445381077384,a:"  Power, clock, and sensor component trimming hardware abstraction layer. Summary   Variables trim_args1  : Trim targets for items needing one trim. trim_args2  : Trim targets for items needing two trims.   Enumerations TrimTarget_t  : Default trim targets present in NVR7. TrimName_t  : Voltage rail and oscillator names.   Macros NULL_POINTER  : NULL pointer. MIN_32_BIT  : Minimum 32-bit value. MAX_32_BIT  : Maximum 32-bit value. MIN_18_BIT  : Minimum 18-bit value. MAX_18_BIT  : Maximum 18-bit value. MIN_16_BIT  : Minimum 16-bit value. MAX_16_BIT  : Maximum 16-bit value. MIN_8_BIT  : Minimum 8-bit value. MAX_8_BIT  : Maximum 8-bit value. MAX_4_BIT  : Maximum 4-bit value. ERROR_NO_ERROR ERROR_NULL  : Null pointer error. ERROR_NO_TRIM_FOUND  : Target trim value not found. ERROR_INVALID_TRIM  : Trims in region specified are not valid. ERROR_INVALID_CRC  : Trim region CRC has failed. ERROR_BG_INVALID  : Bandgap target value is invalid. ERROR_BG_V_INVALID  : Bandgap voltage trim is invalid. ..."},"197":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_t_r_i_m_var.html",l:-1,t:"Trimming Support Variable Documentation",i:0.000891503424208352,a:"  Trimming Support Variable Documentation   trim_args1 uint32_t trim_args1[TRIM_NUM_FUNCTIONS_1_ARG]    Location: trim.h:280   Trim targets for items needing one trim.   trim_args2 uint32_t trim_args2[TRIM_NUM_FUNCTIONS_2_ARGS][2]    Location: trim.h:281   Trim targets for items needing two trims."},"198":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_t_r_i_m_enum.html",l:-1,t:"Trimming Support Enumeration Type Documentation",i:0.000891503424208352,a:"  Trimming Support Enumeration Type Documentation   TrimTarget_t   Location: trim.h:169   Default trim targets present in NVR7.   Members TARGET_BANDGAP_V =    75   750mV  TARGET_BANDGAP_I =    100   1000nA TARGET_DCDC_1200 =    120   1.2V  TARGET_DCDC_1120 =    112   1.12V  TARGET_DCDC_1350 =    135   1.35V  TARGET_DCDC_1100 =    110   1.10V  TARGET_VDDC_1150 =    115   1.15V  TARGET_VDDC_1000 =    100   1.00V  TARGET_VDDC_1080 =    108   1.08V  TARGET_VDDC_920 =    92   0.92V  TARGET_VDDC_1050 =    105   1.05V  TARGET_VDDC_STANDBY =    80   0.80V  TARGET_VDDM_1150 =    115   1.15V  TARGET_VDDM_1080 =    108   1.08V  TARGET_VDDM_1100 =    110   1.05V  TARGET_VDDM_STANDBY =    80   0.80V  TARGET_VDDRF_1100 =    110   1.10V  TARGET_VDDRF_1070 =    107   1.07V  TARGET_VDDRF_1200 =    120   1.20V  TARGET_VDDPA_1300 =    130   1.30V  TARGET_VDDPA_1260 =    126   1.26V  TARGET_VDDPA_1600 =    160   1.60V  TARGET_VDDPA_MIN_1100 =    110   1.10V  TARGET_VDDIF_1800 =    180   1.80V  ..."},"199":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_t_r_i_m_define.html",l:-1,t:"Trimming Support Macro Definition Documentation",i:0.00124399978991519,a:"  Trimming Support Macro Definition Documentation   NULL_POINTER #define NULL_POINTER 0   NULL pointer.   Location: trim.h:54   MIN_32_BIT #define MIN_32_BIT 0x00000000UL   Minimum 32-bit value.   Location: trim.h:58   MAX_32_BIT #define MAX_32_BIT 0xFFFFFFFFUL   Maximum 32-bit value.   Location: trim.h:61   MIN_18_BIT #define MIN_18_BIT 0x00000U   Minimum 18-bit value.   Location: trim.h:64   MAX_18_BIT #define MAX_18_BIT 0x3FFFFU   Maximum 18-bit value.   Location: trim.h:67   MIN_16_BIT #define MIN_16_BIT 0x0000U   Minimum 16-bit value.   Location: trim.h:70   MAX_16_BIT #define MAX_16_BIT 0xFFFFU   Maximum 16-bit value.   Location: trim.h:73   MIN_8_BIT #define MIN_8_BIT 0x00U   Minimum 8-bit value.   Location: trim.h:76   MAX_8_BIT #define MAX_8_BIT 0xFFU   Maximum 8-bit value.   Location: trim.h:79   MAX_4_BIT #define MAX_4_BIT 0xFU   Maximum 4-bit value.   Location: trim.h:82   ERROR_NO_ERROR #define ERROR_NO_ERROR 0   Location: trim.h:86   errors   ERROR_NULL #define ERROR_NULL ..."},"200":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_t_r_i_m_func.html",l:-1,t:"Trimming Support Function Documentation",i:0.00124399978991519,a:"  Sys_Trim_LoadTrims uint32_t Sys_Trim_LoadTrims(TRIM_Type * trim_region, uint32_t targets_1, uint32_t targets_2)   Load trim values from the specified memory location.   Location: trim.h:301   Parameters   Return A code indicating whether an error has occurred. Error codes:  errors   Does not work with LSAD gain/offset. Use  lsadload Sys_Trim_GetLSADTrim()  instead. For detail on input parameters, see trim_args1 \u0026 2 in trim.c     Sys_Trim_LoadSingleTrim uint32_t Sys_Trim_LoadSingleTrim(uint32_t target_name, uint32_t target_value1, uint32_t target_value2)   Load a trim value for a specific voltage regulator or oscillator.   This function attempts to load calibration values from customer trim settings in NVR4, then load manufacturing calibration values from NVR7 if customer calibration values are not found.\n   Location: trim.h:319   Parameters   Return A code indicating whether an error has occurred. Error codes:  errors   Does not work with LSAD gain/offset. Use  lsadload ..."},"201":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_u_a_r_t.html",l:-1,t:"UART",i:0.000494681606674606,a:"UART   Universal Asynchronous Receiver/Transmitter (UART) hardware abstraction layer. Summary   Macros UART_PADS_NUM  : The number of input GPIO pad configurations for a UART interface (1 per instance) SYS_UART_GPIOCONFIG  : Macro wrapper for  Sys_UART_GPIOConfig() . SYS_UART_CONFIG  : Macro wrapper for  Sys_UART_Config() .   Functions Sys_UART_GPIOConfig  : Configure two GPIOs for the specified UART interface. Sys_UART_Config  : Configure and enable a UART interface."},"202":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_u_a_r_t_define.html",l:-1,t:"UART Macro Definition Documentation",i:0.000913681033495566,a:"  UART Macro Definition Documentation   UART_PADS_NUM #define UART_PADS_NUM 1   The number of input GPIO pad configurations for a UART interface (1 per instance)   Location: uart.h:41   SYS_UART_GPIOCONFIG #define SYS_UART_GPIOCONFIG  Sys_UART_GPIOConfig (UART, (cfg), (pad_tx), (pad_rx))   Macro wrapper for  Sys_UART_GPIOConfig() .   Configure two GPIOs for the specified UART interface.\n   Location: uart.h:91   Parameters       SYS_UART_CONFIG #define SYS_UART_CONFIG  Sys_UART_Config (UART, (uart_clk_hz), (baud), (config))   Macro wrapper for  Sys_UART_Config() .   Configure and enable a UART interface.\n   Location: uart.h:107   Parameters      "},"203":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_u_a_r_t_func.html",l:-1,t:"UART Function Documentation",i:0.00158910415240131,a:"UART Function Documentation   Sys_UART_GPIOConfig void Sys_UART_GPIOConfig(const UART_Type * uart, uint32_t cfg, uint32_t pad_tx, uint32_t pad_rx)   Configure two GPIOs for the specified UART interface.   Location: uart.h:52   Parameters       Sys_UART_Config void Sys_UART_Config(UART_Type * uart, uint32_t uart_clk_hz, uint32_t baud, uint32_t config)   Configure and enable a UART interface.   Location: uart.h:80   Parameters      "},"204":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_w_a_t_c_h_d_o_g.html",l:-1,t:"Watchdog",i:0.000478890453470442,a:"Watchdog   Watchdog timer hardware abstraction layer. Summary   Macros SYS_WATCHDOG_REFRESH  : Refresh the chip and software watchdog timers."},"205":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_w_a_t_c_h_d_o_g_define.html",l:-1,t:"Watchdog Macro Definition Documentation",i:0.000851615254067888,a:"  Watchdog Macro Definition Documentation   SYS_WATCHDOG_REFRESH #define SYS_WATCHDOG_REFRESH WATCHDOG-\u003eCTRL = WATCHDOG_REFRESH   Refresh the chip and software watchdog timers.   Location: watchdog.h:40  "},"206":{y:0,u:"../Content/firmware_reference/generated/group___f_l_a_s_hg.html",l:-1,t:"Flash Library Reference",i:0.0004445381077384,a:"  Flash Library Reference. Summary   Variables FlashLib_Version  : Firmware revision code variable.   Macros FLASH_FW_VER_MAJOR  : Flash library major version number. FLASH_FW_VER_MINOR  : Flash library minor version number. FLASH_FW_VER_REVISION  : Flash library revision version number. FLASH_FW_VER  : Flash library version number, concatenation of all version numbers. FLASH0  : Define FLASH0 as the first flash instance, if this is not defined in the headers. FLASH_INSTANCE_NUM  : Total number of flash instances. FLASH_0_DESCR_NUM  : Total number of descriptor types in flash 0 (both RSL15 variants). RSL15_284_FLASH_SET  : Define the set of memories enabled for the RSL15-284 configuration.   Functions Flash_Initialize  : Initialize clock and access to flash. Flash_WriteWord  : Write a word to a flash address. Flash_WriteBuffer  : Write contents of a static memory buffer to flash. Flash_WriteDouble  : Write a 38-bit word to flash. Flash_ReadWord  : Read a 32-bit word from flash. ..."},"207":{y:0,u:"../Content/firmware_reference/generated/group___f_l_a_s_hg_var.html",l:-1,t:"Flash Library Reference Variable Documentation",i:0.000570496708755888,a:"  Flash Library Reference Variable Documentation   FlashLib_Version const short FlashLib_Version    Location: flash.h:59   Firmware revision code variable.   Access to this variable is available through the ROM tables."},"208":{y:0,u:"../Content/firmware_reference/generated/group___f_l_a_s_hg_define.html",l:-1,t:"Flash Library Reference Macro Definition Documentation",i:0.028425919211475,a:"  Flash Library Reference Macro Definition Documentation   FLASH_FW_VER_MAJOR #define FLASH_FW_VER_MAJOR 0x03   Flash library major version number.   Location: flash.h:44   FLASH_FW_VER_MINOR #define FLASH_FW_VER_MINOR 0x00   Flash library minor version number.   Location: flash.h:47   FLASH_FW_VER_REVISION #define FLASH_FW_VER_REVISION 0x02   Flash library revision version number.   Location: flash.h:50   FLASH_FW_VER #define FLASH_FW_VER (( FLASH_FW_VER_MAJOR  \u003c\u003c 12) | \\\n                                         ( FLASH_FW_VER_MINOR  \u003c\u003c 8)  | \\\n                                          FLASH_FW_VER_REVISION )   Flash library version number, concatenation of all version numbers.   Location: flash.h:53   FLASH0 #define FLASH0 ((FLASH_Type *)FLASH_BASE)   Define FLASH0 as the first flash instance, if this is not defined in the headers.   Location: flash.h:63   FLASH_INSTANCE_NUM #define FLASH_INSTANCE_NUM 0x1U   Total number of flash instances.   Location: flash_rsl15.h:30   ..."},});